IDENT(8)

NAME
ident - nnrpd ident resolver

SYNOPSIS
ident [-p port] [-t]

DESCRIPTION
This program attempts to resolve usernames for nnrpd by using the ident protocol to query the remote host. It contacts the remote host using either IPv4 or IPv6 depending on which protocol was used for the incoming NNTP connection.

OPTIONS

-p port
    If this option is given, attempt to contact identd on the specified remote port (which can be a numeric or symbolic specification). Non-numeric values will be looked up using getservbyname(3). The default value is the result of "getservbyname("ident")" if available, or port 113 otherwise.

-t  If this option is given, the identity returned will never have a domain part. That is, if the remote server returns a result containing an "@" character, ident truncates the response at the "@". This is useful to allow the default-domain parameter in readers.conf to override the domain supplied by the remote host (particularly if the supplied domain part is an unqualified local machine name rather than a full domain name).

EXAMPLE
The following readers.conf(5) fragment tells nnrpd to trust ident information for hosts on a local network, but to replace the domain returned from the ident query:

    auth LAN {
        hosts: "192.168/16"
        res: "ident -t"
        default-domain: "internal.example.com"
    }

    access LAN {
        users: "*@internal.example.com"
        newsgroups: example.*
    }

Access is granted to the example.* groups for all users on the local network whose machines respond to ident queries.

HISTORY
This documentation was written by Jeffrey M. Vinocur <jeff@litech.org>.

SEE ALSO
nnrpd(8), readers.conf(5)